Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class ComponentMgr

    java.lang.Object
      com.gwtext.client.widgets.ComponentMgr

    public class ComponentMgr

extends java.lang.Object

Component manager.

Constructor Summary
`ComponentMgr()`

Method Summary
`static Component` | `getComponent(com.google.gwt.user.client.Element element)` Returns a component that the passed element represents.
`static Component` | `getComponent(ExtElement element)` Returns a component that the passed element represents.
`static Component` | `getComponent(java.lang.String id)` Returns a component by id.
`void` | `onAvailable(java.lang.String id, Function fn)` Registers a function that will be called when a specified component is added to ComponentMgr.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentMgr

    public ComponentMgr()

Method Detail

### onAvailable

    public void onAvailable(java.lang.String id,
                            Function fn)

  Registers a function that will be called when a specified component is added to ComponentMgr.

  Parameters:
    `id` - the component ID
    `fn` - the function to execute

### getComponent

    public static Component getComponent(java.lang.String id)

  Returns a component by id.

  Parameters:
    `id` - the component ID
  Returns:
    the component or null if not found

### getComponent

    public static Component getComponent(com.google.gwt.user.client.Element element)

  Returns a component that the passed element represents.

  Parameters:
    `element` - the element
  Returns:
    the component or null if not found

### getComponent

    public static Component getComponent(ExtElement element)

  Returns a component that the passed element represents.

  Parameters:
    `element` - the element
  Returns:
    the component or null if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD